Skip to main content
POST
/
api
/
scans
/
{scan_id}
/
results
/
{result_id}
/
comments
Create Result Comment
curl --request POST \
  --url https://api.example.com/api/scans/{scan_id}/results/{result_id}/comments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>"
}
'
{
  "id": "<string>",
  "scan_id": "<string>",
  "result_id": "<string>",
  "text": "<string>",
  "author_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "author_id": 123,
  "author_email": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

scan_id
string
required
result_id
string
required

Cookies

antidote_session
string | null

Body

application/json
text
string
required
Required string length: 1 - 8000

Response

Successful Response

id
string
required
scan_id
string
required
result_id
string
required
text
string
required
author_name
string
required
created_at
string<date-time>
required
author_id
integer | null
author_email
string | null
updated_at
string<date-time> | null